## org.eclipse.jst.jsf.facesconfig.emf
Interface ExtensionType

All Known Subinterfaces:
  ApplicationExtensionType, AttributeExtensionType, BehaviorExtensionType, ComponentExtensionType, ConverterExtensionType, FacesConfigExtensionType, FacetExtensionType, FactoryExtensionType, LifecycleExtensionType, ManagedBeanExtensionType, NavigationRuleExtensionType, PropertyExtensionType, RendererExtensionType, RenderKitExtensionType, ValidatorExtensionType

All Known Implementing Classes:
  ApplicationExtensionTypeImpl, AttributeExtensionTypeImpl, BehaviorExtensionTypeImpl, ComponentExtensionTypeImpl, ConverterExtensionTypeImpl, ExtensionTypeImpl, FacesConfigExtensionTypeImpl, FacetExtensionTypeImpl, FactoryExtensionTypeImpl, LifecycleExtensionTypeImpl, ManagedBeanExtensionTypeImpl, NavigationRuleExtensionTypeImpl, PropertyExtensionTypeImpl, RendererExtensionTypeImpl, RenderKitExtensionTypeImpl, ValidatorExtensionTypeImpl

    public interface ExtensionType

A representation of the model object 'Extension Type'.

The following features are supported:

- `Child Nodes`
- `Text Content`
- `Id`

See Also:
  `FacesConfigPackage.getExtensionType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`EList` `getChildNodes()` Returns the value of the 'Child Nodes' reference list.
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`java.lang.String` `getTextContent()` Returns the value of the 'Text Content' attribute
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setTextContent(java.lang.String value)` Sets the value of the '`Text Content`' attribute

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getChildNodes

    EList getChildNodes()

  Returns the value of the 'Child Nodes' reference list. The list contents are of type `DynamicElement`.

  If the meaning of the 'Child Nodes' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Child Nodes' reference list.
  See Also:
    `FacesConfigPackage.getExtensionType_ChildNodes()`

### getTextContent

    java.lang.String getTextContent()

  Returns the value of the 'Text Content' attribute.

  If the meaning of the 'Text Content' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Text Content' attribute.
  See Also:
    `setTextContent(String)`, `FacesConfigPackage.getExtensionType_TextContent()`

### setTextContent

    void setTextContent(java.lang.String value)

  Sets the value of the '`Text Content`' attribute.

  Parameters:
    `value` - the new value of the 'Text Content' attribute.
  See Also:
    `getTextContent()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `FacesConfigPackage.getExtensionType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`